Bug 169123 - Gedit out of control.
Gedit out of control.
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: 180043 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-09-23 08:40 EDT by Joseph Mansigian
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-14 11:54:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joseph Mansigian 2005-09-23 08:40:09 EDT
Description of problem:
The gedit program does not set view properly at initial setting of editing
cursor. This problem occurs with text files of .txt, .js, .jsp extension. It
does not occur with text files of .java extension.

Version-Release number of selected component (if applicable):
Gnome 2.10.0 build of 5-23-05
linux 2.6.12-1.1447_FC4

To reproduce:

1. Start from Gnome desktop.
2. Bring up a terminal window.
3. Enter 'gedit yourfile' where yourfile is an ordinary text file with a file
extension of .txt, .js, or .jsp. The file must be large enough to be scrollable.
4. Upon opening the file use the vertical scroll bar at the right to move down
the file.
5. Place the I beam cursor at the point where you would like to begin editing.
6. Left click.

What happened.
The view was changed from the portion of the file I had scrolled to to the
beginning of the file. The editing cursor was set properly however.

What was expected.
The view would remain where I had scrolled to. The cursor is ok.

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Frank Arnold 2005-09-23 09:31:35 EDT
Can reproduce it. Doesn't happen for me with active syntax highlight or
highlight of current line. Rawhide is fine.

Upstream bug: http://bugzilla.gnome.org/show_bug.cgi?id=172277
Comment 2 Ignacio Vazquez-Abrams 2006-02-05 03:04:14 EST
*** Bug 180043 has been marked as a duplicate of this bug. ***
Comment 3 Christian Iseli 2007-01-22 06:56:12 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 4 Ben Caradoc-Davies 2007-01-22 16:50:36 EST
I submitted bug 180043
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=169123 which is marked as a
duplicate (CLOSED DUPLICATE) of this bug, and affected FC4.

I can confirm that this bug does *not* affect .txt files when using
gedit-2.14.3-1.x86_64 under FC5 x86_64 (Gnome 2.14).
Comment 5 Ray Strode [halfline] 2007-08-14 11:54:08 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.